Last Comment Bug 593081 - (releng-downtime) Releng Downtime - unscheduled for week of Sept 27, 2010
(releng-downtime)
: Releng Downtime - unscheduled for week of Sept 27, 2010
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: x86 All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 379233 505512 511749 527794 556530 585286 591563 591690 593172 593384 594018 595027 595232 596388 596852 598358 600029
Blocks: 598507
  Show dependency treegraph
 
Reported: 2010-09-02 11:17 PDT by Lukas Blakk [:lsblakk] use ?needinfo
Modified: 2013-08-12 21:54 PDT (History)
12 users (show)
john+bugzilla: needs‑treeclosure+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Lukas Blakk [:lsblakk] use ?needinfo 2010-09-02 11:17:03 PDT

    
Comment 1 John Ford [:jhford] CET/CEST Berlin Time 2010-09-07 13:21:08 PDT
Looks like this downtime won't be happening this week given the upcoming code freeze.
Comment 2 Armen Zambrano [:armenzg] (EDT/UTC-4) 2010-09-08 10:32:21 PDT
I believe there are bugs we can deploy which do not require any downtime but reconfigure.
For instance bug 580410 and bug 593384.
Comment 3 Chris Cooper [:coop] 2010-09-09 13:32:00 PDT
I'm on buildduty next week.
Comment 4 Aki Sasaki [:aki] 2010-09-13 11:10:51 PDT
Bug 527794 (make upload for fennec desktop builds) and bug 593172 (disable m-c maemo4 builds) need reconfigs only. I'm waiting for downtime since they're not high urgency bugs and it's safer that way.
Comment 5 Ben Hearsum (:bhearsum) 2010-09-13 11:12:08 PDT
bug 595027 requires a buildbot restart on all 0.8.0 masters.
Comment 6 Chris AtLee [:catlee] 2010-09-14 08:41:25 PDT
bug 463113 requires opsi work, no restart of buildbot masters required.

bug 511749 requires a reconfig of try build master, and test masters.

bug 593384 requires a reconfig of build and test masters.

bug 594018 requires a reconfig of build and test masters.
Comment 7 alice nodelman [:alice] [:anode] 2010-09-14 15:11:51 PDT
bug 379233 requires a check in to the pageloader bundle (http://hg.mozilla.org/build/pageloader/) and then updating the copy of pageloader bundle at http://build.mozilla.org/talos/xpis/pageloader.xpi
Comment 8 alice nodelman [:alice] [:anode] 2010-09-15 16:01:41 PDT
bug 556530 - check in patch to buildbotcustom, reconfig all talos masters.
Comment 9 Chris AtLee [:catlee] 2010-09-16 08:00:36 PDT
bug 596388 - needs buildbot upgraded on build masters, and the build masters restarted
Comment 10 Chris Cooper [:coop] 2010-09-16 12:54:57 PDT
(In reply to comment #7)
> bug 379233 requires a check in to the pageloader bundle
> (http://hg.mozilla.org/build/pageloader/) and then updating the copy of
> pageloader bundle at http://build.mozilla.org/talos/xpis/pageloader.xpi

Alice: are there instructions for re-creating this xpi somewhere?
Comment 11 alice nodelman [:alice] [:anode] 2010-09-16 16:16:42 PDT
zip -r pageloader.xpi *
from within pageloader/ 

(You want it to unzip without a pageloader dir.)

$ unzip -l pageloader.xpi 
Archive:  pageloader.xpi
  Length     Date   Time    Name
 --------    ----   ----    ----
      300  08-30-10 16:04   chrome.manifest
     3166  08-30-10 16:04   README
        0  08-30-10 16:07   chrome/
    12675  08-30-10 16:07   chrome/pageloader.js
     2525  08-30-10 16:04   chrome/pageloader.xul
     3344  08-30-10 16:04   chrome/quit.js
     7987  08-30-10 16:04   chrome/report.js
        0  08-30-10 16:04   components/
     7416  08-30-10 16:04   components/tp-cmdline.js
 --------                   -------
    37413                   9 files
Comment 12 Chris AtLee [:catlee] 2010-09-17 14:04:16 PDT
bug 597084 is safe to do at any time.  The patch as written depends on bug 506404 landing first (still waiting for r+), but easy to rework this patch to land first.
Comment 13 Chris Cooper [:coop] 2010-09-20 08:53:45 PDT
Still some unlanded changes. Moving summary forward and reassigning to Armen who is on buildduty this week.
Comment 14 John Ford [:jhford] CET/CEST Berlin Time 2010-09-21 11:09:56 PDT
adding bug 516984.  This should be ok to reconfig.  This requires a test to be landed on mozilla-central before it can proceed.  Please check with me or ask ctalbert/jhammel if a mozmill-restart test has landed.
Comment 15 Armen Zambrano [:armenzg] (EDT/UTC-4) 2010-09-21 11:50:02 PDT
I am not buildduty anymore putting into the pool.
Comment 16 John Ford [:jhford] CET/CEST Berlin Time 2010-09-21 15:31:20 PDT
bug 585286 - reconfig, low risk. needed on all mozilla-tests masters.
Comment 17 Lukas Blakk [:lsblakk] use ?needinfo 2010-09-22 10:07:05 PDT
bug 598358 - reconfig, low risk, test masters, turns on talos suites for disposable branches.
Comment 18 alice nodelman [:alice] [:anode] 2010-09-24 12:28:46 PDT
bug 593081 depends upon talos in hg landing, then the patch should be checked in a new talos.zip placed in http://build.mozilla.org/talos/zips/talos.zip
Comment 19 alice nodelman [:alice] [:anode] 2010-09-24 12:30:53 PDT
Any ETA on this downtime?  Talos patches are starting to stack up and getting talos into hg is very important to auto-tools.
Comment 20 John Ford [:jhford] CET/CEST Berlin Time 2010-09-27 10:55:21 PDT
I thought I had already added bug 585286 which adds a call to xset on linux unit test builders.  This is a low risk patch and needs to be reconfiged on all masters that run unit tests on the buildbot-0.8.0 branch
Comment 21 Joel Maher ( :jmaher) 2010-09-28 14:01:59 PDT
depending on bug596132.  There are two patches in that bug that need to be applied (they are hg patches).  These have passed green on talos-staging (the ateam version) 2 different runs.
Comment 22 Joel Maher ( :jmaher) 2010-09-30 13:20:55 PDT
is this downtime taking place tomorrow?
Comment 23 Ben Hearsum (:bhearsum) 2010-10-04 11:03:28 PDT
Downtime complete.

Note You need to log in before you can comment on or make changes to this bug.